Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronCaptureXS.hh,v 1.1 2009/11/12 00:36:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronElasticXS.hh,v 1.3 2009/11/19 11:51:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh	(revision 1228)
@@ -26,4 +26,5 @@
 // by JPW, working, but to be cleaned up. @@@@
 // D. Wright, 23-Dec-2006 Added isotope dependence
+// G.Folger, 25-Nov-2009: extend to 100TeV, using a constant above 20GeV
 //
 
@@ -51,5 +52,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition()==G4Neutron::Neutron()) &&
-        ( aPart->GetKineticEnergy()<20*GeV) &&
+        ( aPart->GetKineticEnergy()<100*TeV) &&
           aPart->GetKineticEnergy()>19.9*MeV) result = true;
      if(aEle->GetZ()<2) result = false;
@@ -62,5 +63,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition() == G4Neutron::Neutron()) &&
-        ( aPart->GetKineticEnergy() < 20*GeV) &&
+        ( aPart->GetKineticEnergy() < 100*TeV) &&
           aPart->GetKineticEnergy() > 19.9*MeV) result = true;
      if(ZZ < 2) result = false;
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronInelasticXS.hh,v 1.3 2009/11/19 11:52:27 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh	(revision 1228)
@@ -48,5 +48,5 @@
     if(aParticle->GetDefinition() == G4PionPlus::PionPlus())   result=true;
     if(G4lrint(anElement->GetZ()) == 1) result = false;
-    if(aParticle->GetKineticEnergy() > 999.9*GeV) result=false;
+    if(aParticle->GetKineticEnergy() > 99.9*TeV) result=false;
     return result;
   }
@@ -59,5 +59,5 @@
     if(particle->GetDefinition() == G4PionPlus::PionPlus())   result=true;
     if(G4lrint(ZZ) == 1) result = false;
-    if(particle->GetKineticEnergy() > 999.9*GeV) result=false;
+    if(particle->GetKineticEnergy() > 99.9*TeV) result=false;
     return result;
   }
Index: trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh	(revision 1228)
@@ -27,4 +27,5 @@
 // G.Folger, 29-sept-2006: extend to 1TeV, using a constant above 20GeV
 // D. Wright, 23-Dec-2006: added isotope dependence
+// G.Folger, 25-Nov-2009: extend to 100TeV, using a constant above 20GeV
 //
 
@@ -56,5 +57,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition()==G4Proton::Proton()) &&
-        ( aPart->GetKineticEnergy()<1*TeV) ) result = true;
+        ( aPart->GetKineticEnergy()<100*TeV) ) result = true;
      if(aEle->GetZ()<3) result = false;
      return result;
@@ -66,5 +67,5 @@
      G4bool result = false;
      if (( aParticle->GetDefinition() == G4Proton::Proton()) &&
-         ( aParticle->GetKineticEnergy() < 1*TeV) ) result = true;
+         ( aParticle->GetKineticEnergy() < 100*TeV) ) result = true;
      if (ZZ < 3) result = false;
      return result;
Index: trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VCrossSectionDataSet.hh,v 1.13 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonElasticXS.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonElasticXS.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonElasticXS.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonElasticXS.cc,v 1.5 2009/11/19 12:30:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4BGGNucleonElasticXS.cc,v 1.7 2009/11/19 19:40:45 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -93,13 +93,10 @@
   } else if(iz == 1) {
     if( A < 1.5) {
-      //fHadron->GetHadronNucleonXscPDG(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscEL(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetElasticHadronNucleonXsc();
     } else {
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetElasticHadronNucleonXsc();
-      fHadron->GetHadronNucleonXscMK(dp, G4Neutron::Neutron());
+      fHadron->GetHadronNucleonXscNS(dp, G4Neutron::Neutron());
       cross += fHadron->GetElasticHadronNucleonXsc();
     }
@@ -180,5 +177,5 @@
   }
   dp.SetKineticEnergy(fLowEnergy);
-  fHadron->GetHadronNucleonXscMK(&dp, G4Proton::Proton());
+  fHadron->GetHadronNucleonXscNS(&dp, G4Proton::Proton());
   theCoulombFac[1] = fHadron->GetElasticHadronNucleonXsc();
   if(isProton) { theCoulombFac[1] /= CoulombFactor(fLowEnergy, 1.0); }
Index: trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonInelasticXS.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonInelasticXS.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4BGGNucleonInelasticXS.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonInelasticXS.cc,v 1.5 2009/11/19 12:28:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4BGGNucleonInelasticXS.cc,v 1.7 2009/11/19 19:40:45 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -91,14 +91,10 @@
   } else if(iz == 1) {
     if( A < 1.5) {
-      //fHadron->GetHadronNucleonXscPDG(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscEL(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscVU(dp, G4Proton::Proton());
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetInelasticHadronNucleonXsc();
     } else {
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetInelasticHadronNucleonXsc();
-      fHadron->GetHadronNucleonXscMK(dp, G4Neutron::Neutron());
+      fHadron->GetHadronNucleonXscNS(dp, G4Neutron::Neutron());
       cross += fHadron->GetInelasticHadronNucleonXsc();
     }
@@ -180,5 +176,5 @@
   }
   dp.SetKineticEnergy(fLowEnergy);
-  fHadron->GetHadronNucleonXscMK(&dp, G4Proton::Proton());
+  fHadron->GetHadronNucleonXscNS(&dp, G4Proton::Proton());
   theCoulombFac[1] = 
     fHadron->GetInelasticHadronNucleonXsc()/CoulombFactor(fLowEnergy,1.0);
Index: trunk/source/processes/hadronic/cross_sections/src/G4BGGPionElasticXS.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4BGGPionElasticXS.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4BGGPionElasticXS.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionElasticXS.cc,v 1.5 2009/11/19 12:27:22 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4BGGPionElasticXS.cc,v 1.7 2009/11/19 19:40:45 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -93,9 +93,5 @@
   } else if(iz == 1) {
     if( A < 1.5) {
-      //fHadron->GetHadronNucleonXscPDG(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscEL(dp, G4Proton::Proton());
       fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscVU(dp, G4Proton::Proton());
-      //fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
       cross = fHadron->GetElasticHadronNucleonXsc();
     } else {
Index: trunk/source/processes/hadronic/cross_sections/src/G4BGGPionInelasticXS.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4BGGPionInelasticXS.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4BGGPionInelasticXS.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionInelasticXS.cc,v 1.6 2009/11/19 12:24:41 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4BGGPionInelasticXS.cc,v 1.8 2009/11/19 19:40:45 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -94,10 +94,10 @@
 
     if( A < 1.5) {
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetInelasticHadronNucleonXsc();
     } else {
-      fHadron->GetHadronNucleonXscMK(dp, G4Proton::Proton());
+      fHadron->GetHadronNucleonXscNS(dp, G4Proton::Proton());
       cross = fHadron->GetInelasticHadronNucleonXsc();
-      fHadron->GetHadronNucleonXscMK(dp, G4Neutron::Neutron());
+      fHadron->GetHadronNucleonXscNS(dp, G4Neutron::Neutron());
       cross += fHadron->GetInelasticHadronNucleonXsc();
     }
Index: trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataSetRegistry.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataSetRegistry.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataSetRegistry.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CrossSectionDataSetRegistry.cc,v 1.5 2009/08/12 20:25:10 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4CrossSectionDataSetRegistry.cc,v 1.6 2009/12/02 15:59:59 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -67,5 +67,9 @@
   if(n > 0) {
     for (size_t i=0; i<n; ++i) {
-      if(xSections[i]) delete xSections[i];
+      if(xSections[i]) {
+	G4VCrossSectionDataSet* p = xSections[i];
+	xSections[i] = 0;
+	delete p;
+      }
     }
     xSections.clear();
@@ -79,5 +83,5 @@
   if(n > 0) {
     for (size_t i=0; i<n; ++i) {
-      if(xSections[i] == p) return;
+      if(xSections[i] == p) { return; }
     }
   }
@@ -93,5 +97,5 @@
       if(xSections[i] == p) {
         xSections[i] = 0;
-	if(i == n-1) xSections.pop_back();
+	if(i == n-1) { xSections.pop_back(); }
 	return;
       }
Index: trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataStore.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataStore.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4CrossSectionDataStore.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionDataStore.cc,v 1.16 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/src/G4ElectroNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4ElectroNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4ElectroNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectroNuclearCrossSection.cc,v 1.29 2008/10/24 19:15:17 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/src/G4GGNuclNuclCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4GGNuclNuclCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/cross_sections/src/G4GGNuclNuclCrossSection.cc	(revision 1228)
@@ -164,6 +164,9 @@
     // production to be checked !!! edit MK xsc
 
-    sigma = (pZ*tZ+pN*tN)*GetHadronNucleonXscMK(theProton, pTkin, theProton) +
-          (pZ*tN+pN*tZ)*GetHadronNucleonXscMK(theProton, pTkin, theNeutron);
+    //sigma = (pZ*tZ+pN*tN)*GetHadronNucleonXscMK(theProton, pTkin, theProton) +
+    //      (pZ*tN+pN*tZ)*GetHadronNucleonXscMK(theProton, pTkin, theNeutron);
+
+    sigma = (pZ*tZ+pN*tN)*GetHadronNucleonXscNS(theProton, pTkin, theProton) +
+          (pZ*tN+pN*tZ)*GetHadronNucleonXscNS(theProton, pTkin, theNeutron);
  
     ratio = sigma/nucleusSquare;
@@ -588,6 +591,6 @@
   if(Nt < 0.) Nt = 0.;
   
-  sumInelastic  = Zt*GetHadronNucleonXscMK(aParticle, theProton);
-  sumInelastic += Nt*GetHadronNucleonXscMK(aParticle, theNeutron);    
+  sumInelastic  = Zt*GetHadronNucleonXscNS(aParticle, theProton);
+  sumInelastic += Nt*GetHadronNucleonXscNS(aParticle, theNeutron);    
  
   return sumInelastic;
@@ -652,134 +655,4 @@
 
   return Xinelastic*= millibarn;
-}
-
-/////////////////////////////////////////////////////////////////////////////////////
-//
-// Returns hadron-nucleon cross-section based on Mikhail Kossov CHIPS parametrisation of
-// data from G4QuasiFreeRatios class
-
-G4double 
-G4GGNuclNuclCrossSection::GetHadronNucleonXscMK(G4ParticleDefinition* pParticle, G4double pTkin,
-                                                G4ParticleDefinition* nucleon  )
-{
-  G4int I = -1;
-  G4int PDG = pParticle->GetPDGEncoding();
-  G4double totalXsc = 0;
-  G4double elasticXsc = 0;
-  G4double inelasticXsc;
-  // G4int absPDG = std::abs(PDG);
-
-  G4double pM = pParticle->GetPDGMass();
-  G4double p  = std::sqrt(pTkin*(pTkin+2*pM))/GeV;
-
-  G4bool F = false;            
-  if(nucleon == theProton)       F = true;
-  else if(nucleon == theNeutron) F = false;
-  else
-  {
-    G4cout << "nucleon is not proton or neutron, return xsc for proton" << G4endl;
-    F = true;
-  }
-
-  G4bool kfl = true;                             // Flag of K0/aK0 oscillation
-  G4bool kf  = false;
-
-  if( PDG == 130 || PDG == 310 )
-  {
-    kf = true;
-    if( G4UniformRand() > .5 ) kfl = false;
-  }
-  if     ( (PDG == 2212 && F) || (PDG == 2112 && !F) ) I = 0; // pp/nn
-  else if( (PDG == 2112 && F) || (PDG == 2212 && !F) ) I = 1; // np/pn
-  else
-  {
-    G4cout<<"MK PDG = "<<PDG
-          <<", while it is defined only for p,n,hyperons,anti-baryons,pi,K/antiK"<<G4endl;
-    G4Exception("G4QuasiFreeRatio::FetchElTot:","22",FatalException,"CHIPScrash");
-  }
-
-  // Each parameter set can have not more than nPoints = 128 parameters
-
-  static const G4double lmi = 3.5;       // min of (lnP-lmi)^2 parabola
-  static const G4double pbe = .0557;     // elastic (lnP-lmi)^2 parabola coefficient
-  static const G4double pbt = .3;        // total (lnP-lmi)^2 parabola coefficient
-  static const G4double pmi = .1;        // Below that fast LE calculation is made
-  static const G4double pma = 1000.;     // Above that fast HE calculation is made
-                  
-  if( p <= 0.)
-  {
-    G4cout<<" p = "<<p<<" is zero or negative"<<G4endl;
-
-    elasticXsc   = 0.;
-    inelasticXsc = 0.;
-    totalXsc     = 0.;
-
-    return totalXsc;
-  }
-  if (!I)                          // pp/nn
-  {
-    if( p < pmi )
-    {
-      G4double p2 = p*p;
-      elasticXsc          = 1./(.00012 + p2*.2);
-      totalXsc          = elasticXsc;
-    }
-    else if(p>pma)
-    {
-      G4double lp  = std::log(p)-lmi;
-      G4double lp2 = lp*lp;
-      elasticXsc  = pbe*lp2 + 6.72;
-      totalXsc    = pbt*lp2 + 38.2;
-    }
-    else
-    {
-      G4double p2  = p*p;
-      G4double LE  = 1./( .00012 + p2*.2);
-      G4double lp  = std::log(p) - lmi;
-      G4double lp2 = lp*lp;
-      G4double rp2 = 1./p2;
-      elasticXsc  = LE + ( pbe*lp2 + 6.72+32.6/p)/( 1. + rp2/p);
-      totalXsc    = LE + ( pbt*lp2 + 38.2+52.7*rp2)/( 1. + 2.72*rp2*rp2);
-    }
-  }
-  else if( I==1 )                        // np/pn
-  {
-    if( p < pmi )
-    {
-      G4double p2 = p*p;
-      elasticXsc = 1./( .00012 + p2*( .051 + .1*p2));
-      totalXsc   = elasticXsc;
-    }
-    else if( p > pma )
-    {
-      G4double lp  = std::log(p) - lmi;
-      G4double lp2 = lp*lp;
-      elasticXsc  = pbe*lp2 + 6.72;
-      totalXsc    = pbt*lp2 + 38.2;
-    }
-    else
-    {
-      G4double p2  = p*p;
-      G4double LE  = 1./( .00012 + p2*( .051 + .1*p2 ) );
-      G4double lp  = std::log(p) - lmi;
-      G4double lp2 = lp*lp;
-      G4double rp2 = 1./p2;
-      elasticXsc  = LE + (pbe*lp2 + 6.72 + 30./p)/( 1. + .49*rp2/p);
-      totalXsc    = LE + (pbt*lp2 + 38.2)/( 1. + .54*rp2*rp2);
-    }
-  }
-  else
-  {
-    G4cout<<"PDG incoding = "<<I<<" is not defined (0-1)"<<G4endl;
-  
-  }
-  if( elasticXsc > totalXsc ) elasticXsc = totalXsc;
-
-  totalXsc   *= millibarn;
-  elasticXsc *= millibarn;
-  inelasticXsc   = totalXsc - elasticXsc;
-  if (inelasticXsc < 0.) inelasticXsc = 0.;
-
-  return inelasticXsc;
 }
 
@@ -940,12 +813,5 @@
   }
   return R;
-
-
-
-}
-
-
-
-
+}
 
 
